%define        upstream_name Makefile-Parser
%define        upstream_version 0.216
%{?perl_default_filter}

Name:          perl-%{upstream_name}
Version:       %perl_convert_version %{upstream_version}
Release:       %mkrel 7
Summary:       Makefile::Parser - A simple parser for Makefiles
License:       Artistic, GPL
Group:         System/Libraries
URL:           https://www.cpan.org/
Source:        https://cpan.metacpan.org/authors/id/A/AG/AGENT/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(Class::Trigger)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(IPC::Run3)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Makefile::DOM)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Balanced)
BuildRequires: perl-devel
Requires:      perl
Requires:      perl(Class::Accessor::Fast)
Requires:      perl(Class::Trigger)
Requires:      perl(File::Slurp)
Requires:      perl(List::MoreUtils)
Requires:      perl(Makefile::DOM)
Requires:      perl(Text::Balanced)
BuildArch:     noarch

%description
This is a simple parser for Makefiles. At this very early stage, the parser
only supports a limited set of features, so it may not recognize most of
the advanced features provided by certain make tools like GNU make. Its
initial purpose is to provide basic support for another module named
Makefile::GraphViz, which is aimed to render the building process specified
by a Makefile using the amazing GraphViz library. The Make module is not
satisfactory for this purpose, so I decided to build one of my own.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make_build
#make test

%install
%make_install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%files
%{_bindir}/makesimple
%{_bindir}/pgmake-db
%{_bindir}/plmake
%{perl_vendorlib}/*
%{_mandir}/man3/*.3pm*
%{_mandir}/man1/*.1*
%doc Changes README


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.216.0-7.mga10
+ Revision: 2199568
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.216.0-6.mga9
+ Revision: 1804358
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.216.0-5.mga8
+ Revision: 1495543
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.216.0-4.mga7
+ Revision: 1269219
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.216.0-3.mga6
+ Revision: 1029523
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.216.0-2.mga6
+ Revision: 968477
- Mageia 6 Mass Rebuild

* Tue Jul 07 2015 sander85 <sander85> 0.216.0-1.mga6
+ Revision: 852524
- update to 0.216

* Wed Oct 15 2014 umeabot <umeabot> 0.215.0-3.mga5
+ Revision: 739345
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.215.0-2.mga5
+ Revision: 685336
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 sander85 <sander85> 0.215.0-1.mga5
+ Revision: 585085
- update to 0.215

* Fri Oct 18 2013 umeabot <umeabot> 0.211-3.mga4
+ Revision: 512762
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.211-2.mga3
+ Revision: 369507
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 31 2011 gil <gil> 0.211-1.mga2
+ Revision: 189208
- rebuilt with perl 5.14.2
- edit release
- imported package perl-Makefile-Parser
+ dmorgan <dmorgan>
- Clean spec file

